
<div class="form-row">
  <div class="form-group col-12 col-lg-8">
    <div class="form-row text-center">
      <div class="form-group col-12 col-lg-10">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [readonly]="tBloquearBuscar" placeholder="Artículo" [(ngModel)]="tArticulo.Codarticulo" size="sm" id="txtCodArticulo"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-2">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group btn-group-sm mr-1" role="group">
            <button class="btn btn-outline-primary" type="button" [disabled]="tEditar" (click)="Buscar()"><i class="fas fa-search"></i></button>
          </div>
          <div class="btn-group btn-group-sm" role="group">
            <button class="btn btn-outline-info" type="button" [disabled]="tEditar" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6" for="txtDescripcion">Descripción corta</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-keyboard"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Descripcion" placeholder="Descripción corta" name="Descripcion" required="" size="sm" id="txtDescripcion"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="input-group">
          <textarea class="form-control form-control-sm" placeholder="Descripción larga" name="Descripcion2" required="" [(ngModel)]="tArticulo.Descripcion2" rows="5"></textarea>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4"><img class="ImagenPrincipal" [src]="ObtenerImagenPrincipal()" alt=""/></div>
</div>